~alpine/devel

This thread contains a patchset. You're looking at the original emails, but you may wish to use the patch review UI. Review patch
1

[alpine-devel] [PATCH] testing/luajit: new aport

Cameron Banta
Details
Message ID
<1322007430-6658-1-git-send-email-cbanta@gmail.com>
Sender timestamp
1322007430
DKIM signature
missing
Download raw message
Patch: +32 -0
Just-In-Time Compiler for the Lua programming language
http://luajit.org/
---
 testing/luajit/APKBUILD |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)
 create mode 100644 testing/luajit/APKBUILD

diff --git a/testing/luajit/APKBUILD b/testing/luajit/APKBUILD
new file mode 100644
index 0000000..f791069
--- /dev/null
+++ b/testing/luajit/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Cameron Banta <cbanta@gmail.com>
+# Maintainer: Cameron Banta <cbanta@gmail.com>
+pkgname=luajit
+_pkgname=LuaJIT
+pkgver=2.0.0_beta8
+_pkgver=2.0.0-beta8
+pkgrel=0
+pkgdesc="Just-In-Time Compiler for the Lua programming language"
+url="http://luajit.org"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://luajit.org/download/$_pkgname-$_pkgver.tar.gz"
+
+_builddir=$srcdir/$_pkgname-$_pkgver
+
+build() {
+	cd "$_builddir"
+	make amalg PREFIX=/usr || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make install DESTDIR="$pkgdir" PREFIX=/usr || return 1
+	ln -sf /usr/bin/luajit-2.0.0-beta8 $pkgdir/usr/bin/luajit
+}
+
+md5sums="f0748a73ae268d49b1d01f56c4fe3e61  LuaJIT-2.0.0-beta8.tar.gz"
-- 
1.7.7.3



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20111123082937.23836028@ncopa-desktop.nor.wtbts.net>
In-Reply-To
<1322007430-6658-1-git-send-email-cbanta@gmail.com> (view parent)
Sender timestamp
1322033377
DKIM signature
missing
Download raw message
On Wed, 23 Nov 2011 00:17:10 +0000
Cameron Banta <cbanta@gmail.com> wrote:

> Just-In-Time Compiler for the Lua programming language
> http://luajit.org/
> ---
>  testing/luajit/APKBUILD |   32 ++++++++++++++++++++++++++++++++
>  1 files changed, 32 insertions(+), 0 deletions(-)
>  create mode 100644 testing/luajit/APKBUILD

Was thinking of this package the other day. Sweet!

Applied + a minor fix to make it easier to upgrade. Thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---